import Request from '@/utils/request/request-util';

/**
 * 门户后台管理 - 管理权限api
 *
 */
export class PermissionApi {
    /**
     * 获取列表（带分页）
     * @param {*} params
     */
    static findPage(params) {
        return Request.get('/portalDesignManager/page', params);
    }

    /**
     * 批量删除门户设计管理员
     * @param {*} params
     */
    static updateManagerList(params) {
        return Request.post('/portalDesignManager/updateManagerList', params);
    }
    /**
     * 删除单个
     * @param {*} params
     */
    static delete(params) {
        return Request.post('/portalDesignManager/delete', params);
    }
    /**
     * 删除多个
     * @param {*} params
     */
    static batchDelete(params) {
        return Request.post('/portalDesignManager/batchDelete', params);
    }
}